Skip to main content

saltSecurityWritePermissionWarning

Warns (on check-connection) when the Salt key connects but lacks write scope

saltSecurityWritePermissionWarning(
companyId: ID!
integrationId: ID
): String

Arguments​

saltSecurityWritePermissionWarning.companyId ● ID! non-null scalar​

saltSecurityWritePermissionWarning.integrationId ● ID scalar​

Which Salt environment to probe. Required once the company has several.

Type​

String scalar​

The String scalar type represents textual data, represented as UTF-8 character sequences. The String type is most often used by GraphQL to represent free-form human-readable text.

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetSaltSecurityWritePermissionWarning($companyId: ID!) {\n saltSecurityWritePermissionWarning(companyId: $companyId)\n}","variables":{"companyId":"<company_id>"}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute